#ifndef ICONTHEME_H
#define ICONTHEME_H

#include <QObject>

namespace UKUI {

class IconTheme : public QObject
{
    Q_OBJECT
public:
    static IconTheme* getInstance();

    /*!
     * \brief getPathFromName
     * \details get picture file path from icon name
     * \param icon name
     * \return absolute path of picture file
     * \sa KIconTheme
    */
    QString getPathFromName(QString iconName, uint iconSize);

signals:
    //! \brief send while icon theme gsetting changed
    void iconThemeChanged();

private:
    IconTheme();
    void initConnect();
};

} // namespace UKUI

#endif // ICONTHEME_H
